Business Concept Versions
Submit the specified business concept version for review and approval.
Business concept version ID
Business concept version submitted
Unauthorized
Forbidden
Not found
Unprocessable Entity
Internal Server Error
POST /api/business_concept_versions/{business_concept_version_id}/submit HTTP/1.1
Accept: */*
{
"data": {
"_embedded": {
"links": [],
"shared_to": [
{
"id": 5,
"name": "Finance"
}
]
},
"actions": {
"share": {
"href": "/api/business_concepts/100/shared_domains",
"input": {},
"method": "PATCH"
},
"view_quality_rule": {
"method": "GET"
}
},
"business_concept_id": 100,
"completeness": 80,
"concept_count": 0,
"confidential": false,
"content": {
"definition": "Customer email address"
},
"current": true,
"domain": {
"id": 12,
"name": "Marketing"
},
"domain_parents": [
{
"id": 1,
"name": "Business"
}
],
"id": 1,
"last_change_at": "2026-06-02T10:00:00Z",
"last_change_by": 10,
"link_count": 5,
"name": "Customer Email",
"rule_count": 3,
"status": "published",
"type": "glossary",
"version": 2
}
}Deprecate the specified business concept version so it is no longer current.
Business concept version ID
Business concept version deprecated
Unauthorized
Forbidden
Not found
Unprocessable Entity
Internal Server Error
POST /api/business_concept_versions/{business_concept_version_id}/deprecate HTTP/1.1
Accept: */*
{
"data": {
"_embedded": {
"links": [],
"shared_to": [
{
"id": 5,
"name": "Finance"
}
]
},
"actions": {
"share": {
"href": "/api/business_concepts/100/shared_domains",
"input": {},
"method": "PATCH"
},
"view_quality_rule": {
"method": "GET"
}
},
"business_concept_id": 100,
"completeness": 80,
"concept_count": 0,
"confidential": false,
"content": {
"definition": "Customer email address"
},
"current": true,
"domain": {
"id": 12,
"name": "Marketing"
},
"domain_parents": [
{
"id": 1,
"name": "Business"
}
],
"id": 1,
"last_change_at": "2026-06-02T10:00:00Z",
"last_change_by": 10,
"link_count": 5,
"name": "Customer Email",
"rule_count": 3,
"status": "published",
"type": "glossary",
"version": 2
}
}Return hypermedia actions available for business concept versions based on the current user permissions.
Actions
Unauthorized
Internal Server Error
GET /api/business_concept_versions/actions HTTP/1.1
Accept: */*
{
"_actions": {
"autoPublish": {
"href": "/api/business_concept_versions/upload",
"input": {},
"method": "POST"
},
"create": {
"href": "/api/business_concept_versions",
"input": {},
"method": "POST"
},
"downloadLinks": {
"href": "/api/business_concept_versions/links/download",
"input": {},
"method": "POST"
},
"upload": {
"href": "/api/business_concept_versions/upload",
"input": {},
"method": "POST"
}
},
"data": []
}Restore a deprecated business concept version back to a publishable state.
Business concept version ID
Business concept version restored
Unauthorized
Unprocessable Entity
Internal Server Error
POST /api/business_concept_versions/{business_concept_version_id}/restore HTTP/1.1
Accept: */*
{
"data": {
"_embedded": {
"links": [],
"shared_to": [
{
"id": 5,
"name": "Finance"
}
]
},
"actions": {
"share": {
"href": "/api/business_concepts/100/shared_domains",
"input": {},
"method": "PATCH"
},
"view_quality_rule": {
"method": "GET"
}
},
"business_concept_id": 100,
"completeness": 80,
"concept_count": 0,
"confidential": false,
"content": {
"definition": "Customer email address"
},
"current": true,
"domain": {
"id": 12,
"name": "Marketing"
},
"domain_parents": [
{
"id": 1,
"name": "Business"
}
],
"id": 1,
"last_change_at": "2026-06-02T10:00:00Z",
"last_change_by": 10,
"link_count": 5,
"name": "Customer Email",
"rule_count": 3,
"status": "published",
"type": "glossary",
"version": 2
}
}Upload an Excel file to create or update business concept versions in bulk.
Multipart request for uploading business concepts file
Whether to auto-publish after upload
falsePossible values: Excel file (.xlsx) with business concepts
Language code for the content
enBusiness concepts upload started
Unauthorized
Forbidden
Internal Server Error
POST /api/business_concept_versions/upload HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 78
{
"auto_publish": "true",
"business_concepts": "YmluYXJ5IGNvbnRlbnQ=",
"lang": "en"
}{
"file_hash": "abc123",
"status": "STARTED",
"task_reference": "task-123"
}Download a CSV export of business concept version results matching the current filters.
Full‑text search across business concept fields
Sort field(s), e.g. name.raw, -last_change_at
Scroll timeout (e.g. 2m)
Scroll ID to continue a previous scroll
If true, returns only concepts that can be linked
Language code (e.g., 'en', 'es')
URL schema for concept links
CSV file downloaded
Unauthorized
Internal Server Error
POST /api/business_concept_versions/csv HTTP/1.1
Accept: */*
binaryRestore a rejected business concept version to draft status.
Business concept version ID
Business concept version restored to draft
Unauthorized
Forbidden
Not found
Unprocessable Entity
Internal Server Error
POST /api/business_concept_versions/{business_concept_version_id}/redraft HTTP/1.1
Accept: */*
{
"data": {
"_embedded": {
"links": [],
"shared_to": [
{
"id": 5,
"name": "Finance"
}
]
},
"actions": {
"share": {
"href": "/api/business_concepts/100/shared_domains",
"input": {},
"method": "PATCH"
},
"view_quality_rule": {
"method": "GET"
}
},
"business_concept_id": 100,
"completeness": 80,
"concept_count": 0,
"confidential": false,
"content": {
"definition": "Customer email address"
},
"current": true,
"domain": {
"id": 12,
"name": "Marketing"
},
"domain_parents": [
{
"id": 1,
"name": "Business"
}
],
"id": 1,
"last_change_at": "2026-06-02T10:00:00Z",
"last_change_by": 10,
"link_count": 5,
"name": "Customer Email",
"rule_count": 3,
"status": "published",
"type": "glossary",
"version": 2
}
}Update the confidentiality setting for a business concept version.
Business concept version ID
Confidential flag
Business concept confidentiality updated
Unauthorized
Forbidden
Not found
Unprocessable Entity
Internal Server Error
POST /api/business_concept_versions/{business_concept_version_id}/set_confidential HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 21
{
"confidential": true
}{
"data": {
"_embedded": {
"links": [],
"shared_to": [
{
"id": 5,
"name": "Finance"
}
]
},
"actions": {
"share": {
"href": "/api/business_concepts/100/shared_domains",
"input": {},
"method": "PATCH"
},
"view_quality_rule": {
"method": "GET"
}
},
"business_concept_id": 100,
"completeness": 80,
"concept_count": 0,
"confidential": false,
"content": {
"definition": "Customer email address"
},
"current": true,
"domain": {
"id": 12,
"name": "Marketing"
},
"domain_parents": [
{
"id": 1,
"name": "Business"
}
],
"id": 1,
"last_change_at": "2026-06-02T10:00:00Z",
"last_change_by": 10,
"link_count": 5,
"name": "Customer Email",
"rule_count": 3,
"status": "published",
"type": "glossary",
"version": 2
}
}Retrieve the details of a specific business concept version.
Business concept ID
Business concept version ID
Business concept version
Unauthorized
Forbidden
Not found
Internal Server Error
GET /api/business_concepts/{business_concept_id}/versions/{id} HTTP/1.1
Accept: */*
{
"data": {
"_embedded": {
"links": [],
"shared_to": [
{
"id": 5,
"name": "Finance"
}
]
},
"actions": {
"share": {
"href": "/api/business_concepts/100/shared_domains",
"input": {},
"method": "PATCH"
},
"view_quality_rule": {
"method": "GET"
}
},
"business_concept_id": 100,
"completeness": 80,
"concept_count": 0,
"confidential": false,
"content": {
"definition": "Customer email address"
},
"current": true,
"domain": {
"id": 12,
"name": "Marketing"
},
"domain_parents": [
{
"id": 1,
"name": "Business"
}
],
"id": 1,
"last_change_at": "2026-06-02T10:00:00Z",
"last_change_by": 10,
"link_count": 5,
"name": "Customer Email",
"rule_count": 3,
"status": "published",
"type": "glossary",
"version": 2
}
}Update multiple business concept versions in bulk based on the provided search criteria and update payload.
Business concepts updated
Unauthorized
Forbidden
Not found
Unprocessable Entity
Internal Server Error
POST /api/business_concept_versions/bulk_update HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 86
{
"search_params": {
"query": "domain_id:12"
},
"update_attributes": {
"status": "deprecated"
}
}{
"data": {
"message": [
1236
]
}
}Update an existing business concept version with new content or metadata.
Business concept version ID
Business concept version updated
Unauthorized
Forbidden
Unprocessable Entity
Internal Server Error
PUT /api/business_concept_versions/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 108
{
"business_concept_version": {
"content": {
"definition": "Updated definition"
},
"name": "Updated Customer Email"
}
}{
"data": {
"_embedded": {
"links": [],
"shared_to": [
{
"id": 5,
"name": "Finance"
}
]
},
"actions": {
"share": {
"href": "/api/business_concepts/100/shared_domains",
"input": {},
"method": "PATCH"
},
"view_quality_rule": {
"method": "GET"
}
},
"business_concept_id": 100,
"completeness": 80,
"concept_count": 0,
"confidential": false,
"content": {
"definition": "Customer email address"
},
"current": true,
"domain": {
"id": 12,
"name": "Marketing"
},
"domain_parents": [
{
"id": 1,
"name": "Business"
}
],
"id": 1,
"last_change_at": "2026-06-02T10:00:00Z",
"last_change_by": 10,
"link_count": 5,
"name": "Customer Email",
"rule_count": 3,
"status": "published",
"type": "glossary",
"version": 2
}
}Delete the specified business concept version.
Business concept version ID
Business concept version deleted
No content
Unauthorized
Forbidden
Not found
Unprocessable Entity
Internal Server Error
DELETE /api/business_concept_versions/{id} HTTP/1.1
Accept: */*
No content
Publish the specified business concept version once it is approved.
Business concept version ID
Business concept version published
Unauthorized
Forbidden
Not found
Unprocessable Entity
Internal Server Error
POST /api/business_concept_versions/{business_concept_version_id}/publish HTTP/1.1
Accept: */*
{
"data": {
"_embedded": {
"links": [],
"shared_to": [
{
"id": 5,
"name": "Finance"
}
]
},
"actions": {
"share": {
"href": "/api/business_concepts/100/shared_domains",
"input": {},
"method": "PATCH"
},
"view_quality_rule": {
"method": "GET"
}
},
"business_concept_id": 100,
"completeness": 80,
"concept_count": 0,
"confidential": false,
"content": {
"definition": "Customer email address"
},
"current": true,
"domain": {
"id": 12,
"name": "Marketing"
},
"domain_parents": [
{
"id": 1,
"name": "Business"
}
],
"id": 1,
"last_change_at": "2026-06-02T10:00:00Z",
"last_change_by": 10,
"link_count": 5,
"name": "Customer Email",
"rule_count": 3,
"status": "published",
"type": "glossary",
"version": 2
}
}Retrieve a paginated list of business concept versions filtered by query parameters or business concept ID.
Business concept id
Número de página (0-indexed)
0Cantidad de resultados por página
50Si es true, incluye relaciones de enlaces en la respuesta
falseTiempo de expiración del scroll (ej. 1m)
ID de scroll para continuar paginando
Campos de ordenamiento (ej. name.raw, -last_change_at)
Búsqueda de texto completo
Search results
Unauthorized
Internal Server Error
GET /api/business_concepts/{business_concept_id}/versions HTTP/1.1
Accept: */*
{
"_actions": {
"downloadPublishedConcepts": {
"href": "/api/business_concept_versions/download",
"method": "POST"
}
},
"data": [
{
"business_concept_id": 10,
"domain_id": 5,
"domain_parents": [
{
"id": 5,
"name": "Marketing"
}
],
"id": 1,
"name": "Customer Email",
"status": "published"
}
],
"scroll_id": null
}Execute a search for business concept versions using advanced filters provided in the request body.
falseIf true, returns only concepts that can be linked (user must have manage_business_concept_links permission)
false050Search results
Unauthorized
Internal Server Error
POST /api/business_concept_versions/search HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 169
{
"filters": {
"domain_id": [
123
]
},
"include_links": true,
"must": {
"status": [
"published"
]
},
"only_linkable": true,
"page": 0,
"query": "customer",
"size": 50,
"sort": {
"name.raw": "asc"
}
}{
"_actions": {
"downloadPublishedConcepts": {
"href": "/api/business_concept_versions/download",
"method": "POST"
}
},
"data": [
{
"business_concept_id": 10,
"domain_id": 5,
"domain_parents": [
{
"id": 5,
"name": "Marketing"
}
],
"id": 1,
"name": "Customer Email",
"status": "published"
}
],
"scroll_id": null
}Reject the specified business concept version with a given reason.
Business concept version ID
Reason for rejection
Business concept version rejected
Unauthorized
Forbidden
Not found
Unprocessable Entity
Internal Server Error
POST /api/business_concept_versions/{business_concept_version_id}/reject HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 44
{
"reject_reason": "Definition is incomplete"
}{
"data": {
"_embedded": {
"links": [],
"shared_to": [
{
"id": 5,
"name": "Finance"
}
]
},
"actions": {
"share": {
"href": "/api/business_concepts/100/shared_domains",
"input": {},
"method": "PATCH"
},
"view_quality_rule": {
"method": "GET"
}
},
"business_concept_id": 100,
"completeness": 80,
"concept_count": 0,
"confidential": false,
"content": {
"definition": "Customer email address"
},
"current": true,
"domain": {
"id": 12,
"name": "Marketing"
},
"domain_parents": [
{
"id": 1,
"name": "Business"
}
],
"id": 1,
"last_change_at": "2026-06-02T10:00:00Z",
"last_change_by": 10,
"link_count": 5,
"name": "Customer Email",
"rule_count": 3,
"status": "published",
"type": "glossary",
"version": 2
}
}Create a successor version from an existing published business concept version.
Business concept version ID
Business concept version created
Unauthorized
Forbidden
Not found
Unprocessable Entity
Internal Server Error
POST /api/business_concept_versions/{business_concept_version_id}/version HTTP/1.1
Accept: */*
{
"data": {
"_embedded": {
"links": [],
"shared_to": [
{
"id": 5,
"name": "Finance"
}
]
},
"actions": {
"share": {
"href": "/api/business_concepts/100/shared_domains",
"input": {},
"method": "PATCH"
},
"view_quality_rule": {
"method": "GET"
}
},
"business_concept_id": 100,
"completeness": 80,
"concept_count": 0,
"confidential": false,
"content": {
"definition": "Customer email address"
},
"current": true,
"domain": {
"id": 12,
"name": "Marketing"
},
"domain_parents": [
{
"id": 1,
"name": "Business"
}
],
"id": 1,
"last_change_at": "2026-06-02T10:00:00Z",
"last_change_by": 10,
"link_count": 5,
"name": "Customer Email",
"rule_count": 3,
"status": "published",
"type": "glossary",
"version": 2
}
}Retrieve a paginated list of business concept versions filtered by query parameters or business concept ID.
Business concept id
Número de página (0-indexed)
0Cantidad de resultados por página
50Si es true, incluye relaciones de enlaces en la respuesta
falseTiempo de expiración del scroll (ej. 1m)
ID de scroll para continuar paginando
Campos de ordenamiento (ej. name.raw, -last_change_at)
Búsqueda de texto completo
Search results
Unauthorized
Internal Server Error
GET /api/business_concept_versions HTTP/1.1
Accept: */*
{
"_actions": {
"downloadPublishedConcepts": {
"href": "/api/business_concept_versions/download",
"method": "POST"
}
},
"data": [
{
"business_concept_id": 10,
"domain_id": 5,
"domain_parents": [
{
"id": 5,
"name": "Marketing"
}
],
"id": 1,
"name": "Customer Email",
"status": "published"
}
],
"scroll_id": null
}Create a new business concept version for the specified concept template and domain.
Business concept version created
Unauthorized
Forbidden
Unprocessable Entity
Internal Server Error
POST /api/business_concept_versions HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 158
{
"business_concept_version": {
"confidential": false,
"content": {
"definition": "Customer email address"
},
"domain_id": 12,
"name": "Customer Email",
"type": "glossary"
}
}{
"data": {
"_embedded": {
"links": [],
"shared_to": [
{
"id": 5,
"name": "Finance"
}
]
},
"actions": {
"share": {
"href": "/api/business_concepts/100/shared_domains",
"input": {},
"method": "PATCH"
},
"view_quality_rule": {
"method": "GET"
}
},
"business_concept_id": 100,
"completeness": 80,
"concept_count": 0,
"confidential": false,
"content": {
"definition": "Customer email address"
},
"current": true,
"domain": {
"id": 12,
"name": "Marketing"
},
"domain_parents": [
{
"id": 1,
"name": "Business"
}
],
"id": 1,
"last_change_at": "2026-06-02T10:00:00Z",
"last_change_by": 10,
"link_count": 5,
"name": "Customer Email",
"rule_count": 3,
"status": "published",
"type": "glossary",
"version": 2
}
}Download a spreadsheet containing business concept version results returned by the current search criteria.
Full‑text search across business concept fields
Sort field(s), e.g. name.raw, -last_change_at
Scroll timeout (e.g. 2m)
Scroll ID to continue a previous scroll
If true, returns only concepts that can be linked
Language code (e.g., 'en', 'es')
URL schema for concept links
XLSX file downloaded
Unauthorized
Internal Server Error
POST /api/business_concept_versions/xlsx HTTP/1.1
Accept: */*
binaryChange the domain of a business concept version.
Business concept version ID
New domain ID
Business concept domain updated
Unauthorized
Forbidden
Internal Server Error
POST /api/business_concept_versions/{business_concept_version_id}/domain HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"domain_id": 15
}{
"data": {
"_embedded": {
"links": [],
"shared_to": [
{
"id": 5,
"name": "Finance"
}
]
},
"actions": {
"share": {
"href": "/api/business_concepts/100/shared_domains",
"input": {},
"method": "PATCH"
},
"view_quality_rule": {
"method": "GET"
}
},
"business_concept_id": 100,
"completeness": 80,
"concept_count": 0,
"confidential": false,
"content": {
"definition": "Customer email address"
},
"current": true,
"domain": {
"id": 12,
"name": "Marketing"
},
"domain_parents": [
{
"id": 1,
"name": "Business"
}
],
"id": 1,
"last_change_at": "2026-06-02T10:00:00Z",
"last_change_by": 10,
"link_count": 5,
"name": "Customer Email",
"rule_count": 3,
"status": "published",
"type": "glossary",
"version": 2
}
}Last updated